Skip to main content
GET
Get a ConnectedRuntime

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^crt_[0-9a-f]{32}$

Response

Success

id
string
required
Pattern: ^crt_[0-9a-f]{32}$
workspace_id
string
required
Pattern: ^wrkspc_[0-9a-f]{32}$
name
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})$
harness
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})$
protocol
enum<string>
required
Available options:
acp-v1
agent_placement_id
string
required
Pattern: ^aplace_[0-9a-f]{32}$
collaboration_space_id
string
required
Pattern: ^cspace_[0-9a-f]{32}$
owner_principal_id
string | null
required
Pattern: ^prin_[0-9a-f]{32}$
state
enum<string>
required
Available options:
active,
revoked
version
integer
required
created_at
string
required
updated_at
string
required
revoked_at
string | null
required
attestation_key
object | null